Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server.handler
Class ConnectHandler.ProxyToServerConnection

    java.lang.Object
      org.eclipse.jetty.server.handler.ConnectHandler.ProxyToServerConnection

All Implemented Interfaces:
  Connection

Enclosing class:
  ConnectHandler

    public class ConnectHandler.ProxyToServerConnection

extends java.lang.Object
implements Connection

Constructor Summary
`ConnectHandler.ProxyToServerConnection(java.util.concurrent.ConcurrentMap<java.lang.String,java.lang.Object> context, Buffer data)`

Method Summary
`void` | `close()`
`void` | `closeClient()`
`void` | `closed()`
`void` | `closeServer()`
`long` | `getTimeStamp()`
`Connection` | `handle()` Handle the connection.
`boolean` | `isIdle()`
`boolean` | `isSuspended()`
`void` | `ready()`
`void` | `setConnection(ConnectHandler.ClientToProxyConnection connection)`
`void` | `setEndPoint(SelectChannelEndPoint endpoint)`
`void` | `setTimeStamp(long timestamp)`
`void` | `waitReady(long timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectHandler.ProxyToServerConnection

    public ConnectHandler.ProxyToServerConnection(java.util.concurrent.ConcurrentMap<java.lang.String,java.lang.Object> context,
                                                  Buffer data)

Method Detail

### handle

    public Connection handle()
                      throws java.io.IOException

  Description copied from interface: `Connection`
  Handle the connection.

  Specified by:
    `handle` in interface `Connection`
  Returns:
    The Connection to use for the next handling of the connection. This allows protocol upgrades and support for CONNECT.
  Throws:
    `java.io.IOException`

### setConnection

    public void setConnection(ConnectHandler.ClientToProxyConnection connection)

### getTimeStamp

    public long getTimeStamp()

  Specified by:
    `getTimeStamp` in interface `Connection`

### setTimeStamp

    public void setTimeStamp(long timestamp)

### setEndPoint

    public void setEndPoint(SelectChannelEndPoint endpoint)

### isIdle

    public boolean isIdle()

  Specified by:
    `isIdle` in interface `Connection`

### isSuspended

    public boolean isSuspended()

  Specified by:
    `isSuspended` in interface `Connection`

### closed

    public void closed()

  Specified by:
    `closed` in interface `Connection`

### ready

    public void ready()

### waitReady

    public void waitReady(long timeout)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeClient

    public void closeClient()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeServer

    public void closeServer()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.